Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1051152 (PyQt5, python-qt5)

Summary: Review Request: python-qt5 - Python bindings for Qt5
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: Andreas Schneider <asn>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: asn, danielkza2, edoubrayrie, kevin, koen.schram, opensource, package-review, projects.rg, taylor
Target Milestone: ---Flags: asn: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-13 16:11:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 928937    

Description Rex Dieter 2014-01-09 18:55:59 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/python-qt5.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/python-qt5-5.2-1.fc20.src.rpm
Description: Python bindings for Qt5
Fedora Account System Username: rdieter

Comment 1 Kevin Kofler 2014-01-09 19:19:30 UTC
Why not call the package PyQt5? The guidelines say that python- is only needed if the upstream name does not start with "Py".

Comment 2 Rex Dieter 2014-01-09 19:28:01 UTC
read them again, the Py exception was removed recently.

Comment 3 Kevin Kofler 2014-01-09 19:43:41 UTC
Sigh… Don't you love braindead guidelines? :-/

Comment 4 Till Maas 2014-02-05 13:39:26 UTC
(In reply to Kevin Kofler from comment #3)
> Sigh… Don't you love braindead guidelines? :-/

It is there to allow python2 and python3 packages with a similar name I guess.

Btw. the BR should be python2-devel not python-devel.

Comment 5 Till Maas 2014-02-05 13:54:24 UTC
Also %{__python2} should be used instead of %{__python}

Comment 6 Till Maas 2014-02-05 17:12:31 UTC
btw. did you consider building for python3 as well? Debian does it and there is at least one user that would like to use a python3 package:
https://ask.fedoraproject.org/en/question/40624/how-to-install-pyqt5-on-fedora-20/

Comment 7 Rex Dieter 2014-02-06 17:06:08 UTC
Certainly, though I'd prefer to focus on reviewing a minimal package first.  Then we can consider adding features once it's imported.

Comment 8 Rex Dieter 2014-02-06 17:08:58 UTC
%changelog
* Thu Feb 06 2014 Rex Dieter <rdieter@fedoraproject.org> 5.2-2
- BR: python2-devel, use %%__python2 macro

Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/python-qt5.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/python-qt5-5.2-2.fc20.src.rpm

Comment 9 Andreas Schneider 2014-02-11 20:10:15 UTC
The latest version looks fine for me. Nothing to complain.

Comment 10 Rex Dieter 2014-02-13 15:14:28 UTC
Thanks!

New Package SCM Request
=======================
Package Name: python-qt5
Short Description: Python bindings for Qt5
Owners: rdieter than
Branches: f20
InitialCC:

Comment 11 Gwyn Ciesla 2014-02-13 15:28:18 UTC
Git done (by process-git-requests).

Comment 12 Rex Dieter 2014-02-13 16:11:29 UTC
imported

Comment 13 Rex Dieter 2014-02-15 16:49:55 UTC
fyi, if anyone comes here from,
https://ask.fedoraproject.org/en/question/40624/how-to-install-pyqt5-on-fedora-20/

Currently, PyQt5 is supported only on rawhide/f21+, since it requires a newer version of sip that is currently in fedora 20.  I'm investigating a possible sip update for f20 too, but as that would require updates to other dependant packages, it's not a certainty.

Comment 14 Kevin Kofler 2014-02-15 23:46:52 UTC
I see PyKDE 3 still failing to rebuild against the new SIP. :-( I need to have a look whether we can fix it somehow. Is there anything else that doesn't rebuild cleanly?

Comment 15 Kevin Kofler 2014-02-15 23:48:56 UTC
I see upstream released PyKDE 3.16.7 in 2013:
http://sourceforge.net/projects/pyqt/files/PyKDE3/
We currently have 3.16.6. Maybe 3.16.7 helps here. I'll try importing it.

Comment 16 Kevin Kofler 2014-02-16 00:08:17 UTC
So 3.16.7 doesn't have anything that we don't have already (we can still rebase on the latest tarball though, so we can drop a 787-byte patch, LOL), but openSUSE has a patch and couple hacks that could help.

Comment 17 Daniel Miranda 2014-06-03 12:59:52 UTC
Were there too many hurldles for porting this to F20? I'd really like to develop using PyQt5, but installing from Rawhide right now brings Python 3.4, which will mess with quite a lot of software I have installed already.

Comment 18 Daniel Miranda 2014-06-03 13:08:38 UTC
To be clear, I'm trying to use python3-qt5 from Rawhide on F20, and it's now pulling Python 3.4.

Comment 19 Rex Dieter 2014-06-03 16:04:33 UTC
Last/only strict blocker is
https://bugzilla.redhat.com/show_bug.cgi?id=1067006

Comment 20 Raphael Groner 2017-03-31 18:00:29 UTC
Removing alias, otherwise it's not possible to search for bugs related to this component.